Click here to Skip to main content
15,112,601 members
Please Sign up or sign in to vote.
0.00/5 (No votes)
See more:
Could not load file or assembly 'Newtonsoft.Json, Version=4.5.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed' or one of its dependencies. The system cannot find the file specified.

What I have tried:

I tried to restore it and it failed. as the already installed version at my solution was <package id="Newtonsoft.Json" version="5.0.6" targetframework="net45">
Posted
Updated 15-Nov-16 4:51am

1 solution

You need the correct version, it looks like your code needs 4.5 but your package is 5.0.6. Remove the nugget package and install the one with the correct version, google "nuget newtonsoftjson 4.5" to find the nugget command to do that
   
Comments
Mohammad A. Amer 16-Nov-16 2:43am
   
Okay, but there is some dependencies for package is 5.0.6. so how to make all my code have 5.0.6.
F-ES Sitecore 16-Nov-16 4:30am
   
The ideal scenario is to have only one dependency. If you have a third party assembly that needs a certain version then make your code use that version too. If you can't settle on a single version then look into side-by-side dependencies.

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)

  Print Answers RSS
Top Experts
Last 24hrsThis month



CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900